<div class="input-container">
  <input [formControl]="control"
         [type]="type"
         [placeholder]="placeholder">
  <div *ngIf="control.invalid && (control.dirty || control.touched)">
    <div class="input-error" *ngIf="control.errors?.['required']">{{name}} is required</div>
    <div class="input-error" *ngIf="control.errors?.['pattern']">It should be a number</div>
  </div>
</div>

